about summary refs log tree commit diff
path: root/bundles/go-away/files/go-away.run
diff options
context:
space:
mode:
authorRobert Günzler <r@gnzler.io>2025-09-07 17:32:13 +0200
committerRobert Günzler <r@gnzler.io>2025-09-07 17:42:42 +0200
commit38be6c13f76e893cf47636257071b440dec0c5b2 (patch)
treef7ded3235a7e3362cbd1ed3d91523968fe0faf90 /bundles/go-away/files/go-away.run
initial commit
Signed-off-by: Robert Günzler <r@gnzler.io>
Diffstat (limited to 'bundles/go-away/files/go-away.run')
-rwxr-xr-xbundles/go-away/files/go-away.run18
1 files changed, 18 insertions, 0 deletions
diff --git a/bundles/go-away/files/go-away.run b/bundles/go-away/files/go-away.run
new file mode 100755
index 0000000..376fbb2
--- /dev/null
+++ b/bundles/go-away/files/go-away.run
@@ -0,0 +1,18 @@
+#!/bin/sh
+set -eux
+
+cd /var/lib/go-away || exit 1
+
+test -d examples
+test -d examples/snippets
+test -f examples/generic.yml
+
+exec ./go-away \
+	--bind 0.0.0.0:${node.metadata.get("go-away/port")} \
+	--backend gzr.im="http://${node.metadata.get("container_gateway", "10.89.0.1")}:${node.metadata.get("www/gzr-im/port")}" \
+	--backend gnzler.de="http://${node.metadata.get("container_gateway", "10.89.0.1")}:${node.metadata.get("www/gzr-im/port")}" \
+	--backend gnzler.io="http://${node.metadata.get("container_gateway", "10.89.0.1")}:${node.metadata.get("www/gzr-im/port")}" \
+	--backend gonca.me="http://${node.metadata.get("container_gateway","10.89.0.1")}:${node.metadata.get("www/gonca-me/port")}" \
+	--policy examples/generic.yml \
+	--policy-snippets examples/snippets/ \
+	--challenge-template anubis